libini_config5-32bit-1.3.0-25.9.x86_64.rpm


Advertisement

Description

libini_config5-32bit - INI file parser for C

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename libini_config5-32bit-1.3.0-25.9.x86_64.rpm
Package name libini_config5-32bit
Package version 1.3.0
Package release 25.9
Package architecture x86_64
Package type rpm
Category System/Libraries
Homepage http://fedorahosted.org/sssd/
License LGPL-3.0+
Maintainer -
Download size 51.91 KB
Installed size 118.21 KB
Library to process config files in INI format into a libcollection data
structure

Alternatives

Package Version Architecture Repository
libini_config5-32bit - - -

Requires

Name Value
libbasicobjects.so.0 -
libbasicobjects.so.0(BASICOBJECTS_0.1.0) -
libbasicobjects.so.0(BASICOBJECTS_0.1.1) -
libc.so.6(GLIBC_2.22) -
libcollection.so.4 -
libcollection.so.4(COLLECTION_0.6.2) -
libcollection.so.4(COLLECTION_0.7) -
libpath_utils.so.1 -
libpath_utils.so.1(PATH_UTILS_0.2.1) -
libref_array.so.1 -
libref_array.so.1(REF_ARRAY_0.1.1) -
libref_array.so.1(REF_ARRAY_0.1.4) -

Provides

Name Value
libini_config.so.5 -
libini_config.so.5(INI_CONFIG_1.1.0) -
libini_config.so.5(INI_CONFIG_1.2.0) -
libini_config.so.5(INI_CONFIG_1.3.0) -
libini_config5-32bit = 1.3.0-25.9
libini_config5-32bit(x86-32) = 1.3.0-25.9

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libini_config5-32bit-1.3.0-25.9.x86_64.rpm
Source Package ding-libs-0.6.0-25.9.src.rpm

Install Howto

Install libini_config5-32bit rpm package:

# zypper install libini_config5-32bit

Files

Path
/usr/lib/libini_config.so.5
/usr/lib/libini_config.so.5.2.0

Changelog

2017-01-16 - jengelh@inai.de
- Update to new upstream release 0.6.0
* libini now supports validators that check for well-formed INI
files.
2016-07-29 - hguo@suse.com
- Introduce patch 0001-increase-ini-max-value-length.patch
to support longer values in INI file parser. bsc#989488
2016-02-24 - jengelh@inai.de
- Bump subpackage version numbers to match .pc files
2016-02-12 - hguo@suse.com
- Correct the version number of library packages in spec file.
2016-02-10 - hguo@suse.com
- Upgrade to latest upstream version 0.5.0.
The new version is ABI compatible with 0.4.0.
* libini_config: This release adds an API to create, modify and
save INI files
* libini_config: Merging configuration snippets installed in
different locations is supported
* libcollection: New functions: col_get_dup_item,
col_delete_item_with_cb, col_remove_item_with_cb
2014-08-10 - jengelh@inai.de
- Update to new upstream release 0.4.0
* libini_config: Ability to convert input INI file from UTF-16/32
to UTF8- during parsing
* ini_config: Support C style comments in INI file
* ini_config: Ability to read configuration data from a memory buffer
- Remove doxygen-notimestamp.diff,
0001-build-add-missing-Requires-to-pkgconfig-file.patch
(merged upstream)
2014-02-07 - ckornacker@suse.com
- remove pkgconfig-deps.diff since it's obsoleted by
0001-build-add-missing-Requires-to-pkgconfig-file.patch
2013-08-08 - jengelh@inai.de
- Update to new upstream release 0.3.0.1
* A new libini_config interface (merging config section,
better handling of metadata)
- Optional signature verification
- Add 0001-build-add-missing-Requires-to-pkgconfig-file.patch
for corrected pkgconfig dependencies
2012-03-11 - jengelh@medozas.de
- Update to new upstream release 0.1.3
* Fixes a serious bug in libdhash with very large (>1024 slots)
initial size
2011-09-18 - jengelh@medozas.de
- Remove redundant tags/sections from specfile
(cf. packaging guidelines)
- Use %_smp_mflags for parallel build
- Implement baselibs config

See Also

Package Description
libiniparser-devel-4.1-1.2.i586.rpm Libraries and Header Files to Develop Programs with libiniparser Support
libiniparser-devel-4.1-1.2.x86_64.rpm Libraries and Header Files to Develop Programs with libiniparser Support
libiniparser1-32bit-4.1-1.2.x86_64.rpm Library to parse ini files
libiniparser1-4.1-1.2.i586.rpm Library to parse ini files
libiniparser1-4.1-1.2.x86_64.rpm Library to parse ini files
libinjeqt1-1.2.0-1.5.i586.rpm Dependency injection framework for Qt
libinjeqt1-1.2.0-1.5.x86_64.rpm Dependency injection framework for Qt
libinotifytools0-3.20.1-2.1.i586.rpm Library files for inotify-tools
libinotifytools0-3.20.1-2.1.x86_64.rpm Library files for inotify-tools
libinput-devel-1.13.1-1.1.i586.rpm Development files for the Input Device Library
libinput-devel-1.13.1-1.1.x86_64.rpm Development files for the Input Device Library
libinput-tools-1.13.1-1.1.i586.rpm Utilities to display libinput configuration
libinput-tools-1.13.1-1.1.x86_64.rpm Utilities to display libinput configuration
libinput-udev-1.13.1-1.1.i586.rpm Input device and event processing library integration into udev
libinput-udev-1.13.1-1.1.x86_64.rpm Input device and event processing library integration into udev
Advertisement
Advertisement